// Code generated by MockGen. DO NOT EDIT.
// Source: testing-with-ginkgo/pkg/mocking/user (interfaces: InternalDoer)
//
// Generated by this command:
//
//	mockgen -destination=pkg/mocking/mocks/mock_internal_doer.go -package=mocks testing-with-ginkgo/pkg/mocking/user InternalDoer
//
// Package mocks is a generated GoMock package.
package mocks

import (
	reflect "reflect"

	gomock "go.uber.org/mock/gomock"
)

// MockInternalDoer is a mock of InternalDoer interface.
type MockInternalDoer struct {
	ctrl     *gomock.Controller
	recorder *MockInternalDoerMockRecorder
}

// MockInternalDoerMockRecorder is the mock recorder for MockInternalDoer.
type MockInternalDoerMockRecorder struct {
	mock *MockInternalDoer
}

// NewMockInternalDoer creates a new mock instance.
func NewMockInternalDoer(ctrl *gomock.Controller) *MockInternalDoer {
	mock := &MockInternalDoer{ctrl: ctrl}
	mock.recorder = &MockInternalDoerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockInternalDoer) EXPECT() *MockInternalDoerMockRecorder {
	return m.recorder
}

// DoSomethingNew mocks base method.
func (m *MockInternalDoer) DoSomethingNew(arg0 int, arg1 string) string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DoSomethingNew", arg0, arg1)
	ret0, _ := ret[0].(string)
	return ret0
}

// DoSomethingNew indicates an expected call of DoSomethingNew.
func (mr *MockInternalDoerMockRecorder) DoSomethingNew(arg0, arg1 any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DoSomethingNew", reflect.TypeOf((*MockInternalDoer)(nil).DoSomethingNew), arg0, arg1)
}
